Page MenuHomePhabricator

Install texlive-full package
Closed, ResolvedPublic

Description

I would like to do some regression tests for mathematical formulas and eventually also test them against LaTeX.

There are some LaTeX packages installed (texlive-latex-recommended?), however I always run into missing files and packages when I try to run my code on toollabs. The command xelatex is unknown, if I use xetex I get "I can't find the format file `xetex.fmt'!" error and even with pdflatex or lualatex there are a lot of missing LaTeX-packages. For rendering all formulas on Wikipedia I would need amsmath, amssymb, amsfonts, cancel, color, eurosym, the greek and english options of the babel package, mhchem, teubner and texvc (and possibly further dependencies).

Would it be possible to simply install the texlive-full package?

Details

Related Gerrit Patches:
operations/puppet : productiontoolforge: Document inclusion of texlive-full package
operations/puppet : productiontoolforge: add texlive-full package

Event Timeline

Debenben created this task.Jun 13 2018, 7:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2018, 7:06 PM
Vvjjkkii renamed this task from Install texlive-full package to 71aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 71aaaaaaaa to Install texlive-full package.Jul 2 2018, 1:45 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
aborrero triaged this task as Medium priority.
aborrero added a subscriber: aborrero.

We can do it, but I will discuss this first with the team, because texlive-full is a big set of new packages to be installed in toolforge.

@Debenben I'm not saying that Toolforge is the wrong place to do this work, but I am a bit curious why you think it is the right place. Will the output of these regression tests be provided to some group or groups on various wiki projects to help them improve content? Is this something that would fit better in the scope of the math Cloud VPS project?

The goal of the project would be to verify that every mathematical formula uses proper LaTeX syntax. Because LaTeX is based on macros, this can be quite complicated and the only way to be 100% sure is to use LaTeX and render it. For example MathJax treats \overline and similar primitives like normal macros, thus it is sometimes more tolerant than other rendering engines.

I would like to run a script like https://de.wikipedia.org/wiki/Benutzer:Debenben/mathprocess.sh to find all of them.

The LaTeX compilation takes around 1/5 second on my home computer, much too slow for testing all equations as separate documents like in the proof of concept script above. It should however be feasible to test a batch of say 2^15 equations at once and split up the batch into smaller batches in case there is an error. However we have to get rid of the texvc modifications as described in https://www.mediawiki.org/wiki/Extension:Math/Roadmap first, otherwise there are too many formulas failing or being falsely modified in order to find issues like \overline without braces and two arguments.

I have not made up my mind about what to do with the results yet, mainly because I have no idea how many equations would be affected and what sort of issues we are looking at. It could be that it just takes an hour to fix all of them manually, maybe some can be fixed by a bot, maybe some should be dealt with by software modifications making them errors or some others by creating lists or notifications on the talk pages of affected articles.

Andrew added a subscriber: Andrew.Jul 31 2018, 3:36 PM

Let's make sure that this same package is available in Stretch. If so this seems fine to me.

Let's make sure that this same package is available in Stretch. If so this seems fine to me.

It is: https://tracker.debian.org/pkg/texlive-base

So, I'm adding the package.

Change 450549 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] toolforge: add texlive-full package

https://gerrit.wikimedia.org/r/450549

Change 450549 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] toolforge: add texlive-full package

https://gerrit.wikimedia.org/r/450549

Mentioned in SAL (#wikimedia-cloud) [2018-08-06T12:33:44Z] <arturo> T197176 installing texlive-full in toolforge

Change 450610 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] toolforge: Document inclusion of texlive-full package

https://gerrit.wikimedia.org/r/450610

Change 450610 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] toolforge: Document inclusion of texlive-full package

https://gerrit.wikimedia.org/r/450610

aborrero closed this task as Resolved.Aug 8 2018, 11:12 AM

Done.